@echo off
rem #
rem #  TOPPERS/A-RTEGEN
rem #      Automotive Runtime Environment Generator
rem #
rem #  Copyright (C) 2015-2017 by Center for Embedded Computing Systems
rem #                             Graduate School of Information Science, Nagoya Univ., JAPAN
rem #  Copyright (C) 2014-2017 by FUJI SOFT INCORPORATED, JAPAN
rem #  Copyright (C) 2016-2017 by NEC Communication Systems, Ltd., JAPAN
rem #  Copyright (C) 2016-2017 by SCSK Corporation, JAPAN
rem #  Copyright (C) 2016-2017 by SUZUKI MOTOR CORPORATION 
rem #  Copyright (C) 2016-2017 by TOSHIBA CORPORATION, JAPAN
rem #  Copyright (C) 2016-2017 by Witz Corporation
rem #
rem #  L쌠҂́Cȉ(1)`(4)̏𖞂ꍇɌC{\tgEF
rem #  Ai{\tgEFAς̂܂ށDȉjgpEE
rem #  ρEĔzziȉCpƌĂԁj邱Ƃ𖳏ŋD
rem #  (1) {\tgEFA\[XR[ȟ`ŗpꍇɂ́CL̒
rem #      \C̗pщL̖ۏ؋K肪Ĉ܂܂̌`Ń\[
rem #      XR[hɊ܂܂Ă邱ƁD
rem #  (2) {\tgEFACCu`ȂǁC̃\tgEFAJɎg
rem #      pł`ōĔzzꍇɂ́CĔzzɔhLgip
rem #      ҃}jAȂǁjɁCL̒쌠\C̗pщL
rem #      ̖ۏ؋Kfڂ邱ƁD
rem #  (3) {\tgEFAC@ɑgݍނȂǁC̃\tgEFAJɎg
rem #      płȂ`ōĔzzꍇɂ́Ĉꂩ̏𖞂
rem #      ƁD
rem #    (a) ĔzzɔhLgip҃}jAȂǁjɁCL̒
rem #        쌠\C̗pщL̖ۏ؋Kfڂ邱ƁD
rem #    (b) Ĕzž`ԂCʂɒ߂@ɂāCTOPPERSvWFNg
rem #        񍐂邱ƁD
rem #  (4) {\tgEFA̗pɂ蒼ړI܂͊ԐړIɐ邢Ȃ鑹
rem #      QCL쌠҂TOPPERSvWFNgƐӂ邱ƁD
rem #      ܂C{\tgEFÃ[U܂̓Gh[ÛȂ闝
rem #      RɊÂCL쌠҂TOPPERSvWFNg
rem #      Ɛӂ邱ƁD
rem #
rem #  {\tgEFÁCAUTOSARiAUTomotive Open System ARchitecturejd
rem #  lɊÂĂDL̋́CAUTOSAR̒mIŶ
rem #  ͂ȂDAUTOSAŔCAUTOSARdlɊÂ\tgEFApړIŗ
rem #  p҂ɑ΂āCAUTOSARp[gi[ɂȂ邱Ƃ߂ĂD
rem #
rem #  {\tgEFÁCۏ؂Œ񋟂Ă̂łDL쌠҂
rem #  TOPPERSvWFNǵC{\tgEFAɊւāC̎gpړI
rem #  ɑ΂K܂߂āCȂۏ؂sȂD܂C{\tgEF
rem #  A̗pɂ蒼ړI܂͊ԐړIɐȂ鑹QɊւĂC
rem #  ̐ӔC𕉂ȂD
rem #
rem #  $Id: generator.bat 122 2015-07-17 01:31:28Z ertl-honda $
rem #
set PATH=%PATH%;C:\Program Files\Renesas Electronics\CS+\CC
set PATH=%PATH%;C:\Program Files (x86)\Renesas Electronics\CS+\CC

set ROOT_DIR=../../
set SRC_DIR=%ROOT_DIR%/src
set OS_DIR=%SRC_DIR%/atk2-sc1
set CFG_DIR=%OS_DIR%/cfg/cfg
set TARGET_DIR=%OS_DIR%/target/hsbrh850f1l_gcc
set COMSTACK_PATH=%SRC_DIR%/a-comstack/

if not exist %CFG_DIR%/cfg.exe (
	echo "cfg.exe is not found."
	pause
	exit
)

set APP_NAME=Ecuc_B

echo execute cfg Com
start /b %CFG_DIR%/cfg.exe --omit-symbol --pass 2 --kernel atk2 --ini-file %COMSTACK_PATH%/com/com.ini --api-table %COMSTACK_PATH%/com/com.csv -T %COMSTACK_PATH%/com/com.tf %APP_NAME%.arxml

echo execute cfg PduR
start /b %CFG_DIR%/cfg.exe --omit-symbol --pass 2 --kernel atk2 --ini-file %COMSTACK_PATH%/pdur/pdur.ini --api-table %COMSTACK_PATH%/pdur/pdur.csv -T %COMSTACK_PATH%/pdur/pdur.tf %APP_NAME%.arxml

echo execute cfg CanIf
start /b %CFG_DIR%/cfg.exe --omit-symbol --pass 2 --kernel atk2 --ini-file %COMSTACK_PATH%/canif/canif.ini --api-table %COMSTACK_PATH%/canif/canif.csv -T %COMSTACK_PATH%/canif/canif.tf %APP_NAME%.arxml

echo execute cfg Can

if exist cfg1_out.* del /F cfg1_out.*
if exist cancfg rmdir /S /Q cancfg
echo /* this is dummy */ > Can_Cfg.h
copy configure.mtpj cancfg.mtpj > nul
copy ..\tools\cancfg.py .  > nul
CubeSuite+.exe /ps cancfg.py cancfg.mtpj
move .\cancfg\cfg1_out.srec . > nul

start /b %CFG_DIR%/cfg.exe --cfg1-def-table %COMSTACK_PATH%/can/arch/rs_can/prc_def.csv --pass 2 --kernel atk2 --ini-file %COMSTACK_PATH%/can/can.ini --api-table %COMSTACK_PATH%/can/can.csv -I %COMSTACK_PATH%/can -I %COMSTACK_PATH%/can/arch/rs_can -T %COMSTACK_PATH%/can/target/hsbrh850f1l_ccrh/Can_Target.tf %APP_NAME%.arxml %TARGET_DIR%/target_hw_counter.arxml

pause
exit
